Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
relationships
/
bulk
/
{bulkId}
Get the result of a bulk relationship request
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/relationships/bulk/{bulkId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "status": "SUCCESS",
  "receipts": [
    {
      "receivedAt": "2023-11-07T05:31:56Z",
      "taskId": "<string>",
      "action": "CREATE",
      "status": "SUCCESS",
      "targetType": "RELATIONSHIP",
      "id": "<string>",
      "type": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "error": {
        "code": 400,
        "message": "<string>",
        "type": "ALREADY_EXISTS",
        "details": "<array>"
      },
      "pipelineExecution": {
        "id": "<string>",
        "pipelineDefinitionId": "<string>",
        "status": "SUCCESSFUL"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The source key.

bulkId
string
required

The bulk id. The task identifier. Used to track an async task in the system. Use the task ID to poll for completion status. The taskId holds different prefix to represent different tasks.

  • oneOf task: s_<id>.
  • bulk task: bk_<id> (deprecated: <id> only).
  • bundle task: bd_<id> (deprecated: <id> only).
  • purge task: pg_<id> (deprecated: purge:<id>).

Query Parameters

withReceipts
boolean
default:false

If set to true, the receipts of the operations will be included in the response. Else only the status of the bulk request will be returned.

Response

The result of the bulk request.

status
enum<string>
required
read-only

The status of the bulk request.

Available options:
SUCCESS,
PENDING,
CANCELLED,
FAILURE
receipts
object[]
read-only

The receipts of the operations. Will only be present if the query parameter withReceipts is set to true.